
Redmine - Defect #2681

Issues: note edit form does not show up when clicking the "Edit" icon

2009-02-05 16:16 - Stéphane Rondinaud

Status: Closed Start date: 2009-02-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Ruby version: 1.8.6

Rails version: 2.1.2

Redmine version: 0.8.0

When trying to edit my own notes in an issue, the note text and the Edit icon become hidden but the edit form does not show up,

leaving the note "body" empty.

No error in log:

Processing JournalsController#edit (for blah.blah.blah.blah at 2009-02-05 16:03:04) [GET]

Session ID: 1917d3e874fd3483aa1ebd186733b6b0

Parameters: {"action"=>"edit", "id"=>"100", "controller"=>"journals"}

Rendering journals/edit

Completed in 0.03200 (31 reqs/sec) | Rendering: 0.01600 (50%) | DB: 0.01600 (50%) | 200 OK [

http://mumblemumblemumblemumble/redmine/journals/edit/100]

History

#1 - 2009-02-10 23:35 - Jean-Philippe Lang

What's your browser please ?

I see on your screenshot that some images (eg. comment.png) could not be loaded, is there a reason for that?

#2 - 2009-02-16 14:12 - Stéphane Rondinaud

- File Before_click.jpg added

- File After_click.jpg added

Sorry Jean-Philippe, just saw your feedback.

Browser is Firefox 3.0.6

Redmine just updated to 0.8.1

Attached are whole page screenshots, as I admit my first screenshots could be misleading.

The mouse cursor is an hourglass because of the screenshoting software, no because the page is still being loaded.

#3 - 2009-02-16 14:40 - Mischa The Evil

Just my two cents on this issue;

I'm not able to reproduce this behaviour on:

Apache 2.x with Phusion Passenger

REE 1.8.6-X

Rails 2.1.2

MySQL 4.1.20

Redmine trunk@r2167 (== 0.8)

using Mozilla Firefox 3.0.6 and other (recent-versions of) browsers like IE, Opera, Chrome and Safari...

I've tried poking with the permissions also but couln't force Redmine to give a defect, like issued here, at all.

#4 - 2009-02-16 15:18 - Stéphane Rondinaud

Our Redmine database was upgraded from 0.7.3 -> 0.8.0, and today made the jump to 0.8.1.
The user with which I'm having the problem has both the "modify own notes" and "modify notes" permissions granted.

#5 - 2009-02-18 05:06 - Eric Davis

Stéphane Rondinaud, are there any errors shown in Firefox's error console (Tools > Error Console)?

#6 - 2009-02-19 08:59 - Stéphane Rondinaud

No error in Firefox's console.

The "update" div keeps it's "display: none;" styling, and the action of the form child (id="issue-form") is still pointing to the issue

(action="/redmine/issues/edit/74").

#7 - 2009-04-09 12:02 - Stéphane Rondinaud

- Status changed from New to Resolved

This was an Apache configuration problem: the redmine public directory was aliased to prevent proxying of static resources... but was pointing to an

old version of redmine.

Sorry for the trouble.

#8 - 2011-11-27 23:59 - Mischa The Evil

- Status changed from Resolved to Closed

- Resolution set to Invalid

Files

issue_note_before_edit_click.jpg 7.23 KB 2009-02-05 Stéphane Rondinaud

issue_note_after_edit_click.jpg 5.26 KB 2009-02-05 Stéphane Rondinaud

Before_click.jpg 78.2 KB 2009-02-16 Stéphane Rondinaud

After_click.jpg 72.4 KB 2009-02-16 Stéphane Rondinaud

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

http://www.tcpdf.org

